using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace Analyze
	{
	class FileStat
		{
		public string Filename { get; set; }
		public long CodeBytes {get; set;}
		public long Instructions { get; set; }
		public long InstructionBytes { get; set; }
		public FileStat(XElement element)
			{
			Filename = element.Attribute("Filename").Value;
			CodeBytes = long.Parse(element.Attribute("CodeBytesRead").Value);
			Instructions = long.Parse(element.Attribute("InstructionsDecoded").Value);
			InstructionBytes = long.Parse(element.Attribute("InstructionBytesDecoded").Value);
			}
		}
	}
